package com.diagbot.dto;

import lombok.Getter;
import lombok.Setter;

/**
 * @Description:病案首页合格率占比返回结构
 * @Author:zhaops
 * @time: 2020/6/5 17:32
 */
@Getter
@Setter
public class HomePageNumDTO {
    /**
     * 科室id（科室编码）
     */
    private String deptId;
    /**
     * 科室名称
     */
    private String deptName;
    /**
     * 主管医生id
     */
    private String doctorId;
    /**
     * 主管医生名称
     */
    private String doctorName;
    /**
     * 缺陷条目数
     */
    private Integer entryNum = 0;
    /**
     * 质控病历数
     */
    private Integer mrNum = 0;
    /**
     * 质控评分（总分）
     */
    private Double totleValue = 0d;
    /**
     * 质控评分（平均分）
     */
    private Double averageValue = 0d;
    /**
     * 病案首页合格病历数
     */
    private Integer firstLevelNum = 0;
    /**
     * 病案首页不合格病历数
     */
    private Integer secondLevelNum = 0;
    /**
     * 病案首页合格病历占比
     */
    private Double firstLevelPercent = 0.00d;
    /**
     * 病案首页不合格病历占比
     */
    private Double secondLevelPercent = 0.00d;
    /**
     * 病案首页合格病历占比（百分比）
     */
    private String firstLevelPercentStr = "0.00%";
    /**
     * 病案首页不合格病历占比（百分比）
     */
    private String secondLevelPercentStr = "0.00%";
    /**
     * 上级科室id（上级科室编码）
     */
    private String deptClassId;
    /**
     * 上级科室名称
     */
    private String deptClass;
    /**
     * 空项数
     */
    private Integer emptyNum = 0;
    /**
     * 错误数
     */
    private Integer errorNum = 0;
    /**
     * 完整率、完善率分母（质控病历数*病案首页条目数）
     */
    private Integer entryTotleNum = 0;
    /**
     * 完整率
     */
    private Double emptyPercent = 0.00d;
    /**
     * 完善率
     */
    private Double errorPercent = 0.00d;
    /**
     * 完整率（百分比）
     */
    private String emptyPercentStr = "0.00%";
    /**
     * 完善率（百分比）
     */
    private String errorPercentStr = "0.00%";
}
