package com.diagbot.dto;

import lombok.Getter;
import lombok.Setter;

/**
 * @Description:各科室缺陷占比返回结构
 * @Author:zhaops
 * @time: 2020/5/19 16:04
 */
@Getter
@Setter
public class LevelStatisticsDTO {
    /**
     * 科室id（科室编码）
     */
    private String deptId;
    /**
     * 科室名称
     */
    private String deptName;
    /**
     * 主管医生id
     */
    private String doctorId;
    /**
     * 主管医生名称
     */
    private String doctorName;
    /**
     * 缺陷条目数
     */
    private Integer entryNum;
    /**
     * 质控病历数
     */
    private Integer mrNum;
    /**
     * 质控评分（总分）
     */
    private Double totleValue;
    /**
     * 质控评分（平均分）
     */
    private Double averageValue;
    /**
     * 甲级病历数/病案首页合格病历数
     */
    private Integer firstLevelNum;
    /**
     * 乙级病历数/病案首页不合格病历数
     */
    private Integer secondLevelNum;
    /**
     * 丙级病历数
     */
    private Integer thirdLevelNum;
    /**
     * 甲级病历占比/病案首页合格病历占比
     */
    private Double firstLevelPercent;
    /**
     * 乙级病历占比/病案首页不合格病历占比
     */
    private Double secondLevelPercent;
    /**
     * 丙级病历占比
     */
    private Double thirdLevelPercent;
    /**
     * 甲级病历占比（百分比）/病案首页合格病历占比（百分比）
     */
    private String firstLevelPercentStr;
    /**
     * 乙级病历占比（百分比）/病案首页不合格病历占比（百分比）
     */
    private String secondLevelPercentStr;
    /**
     * 丙级病历占比（百分比）
     */
    private String thirdLevelPercentStr;
    /**
     * 上级科室id（上级科室编码）
     */
    private String deptClassId;
    /**
     * 上级科室名称
     */
    private String deptClass;
}
